For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/adtool/categories

get

Get categories of adtools

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
orderstringOptionalDefault: orderid asc
deletedstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/adtool/categories
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array();

$request = array(
	'method' => 'GET',
	'path' => 'adtool/categories',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

[
  {
    "adtool_category_id": "1",
    "name": "Banners",
    "description": "Banner Ad Tools",
    "orderid": "1",
    "deleted": "0",
    "protection": "2"
  },
  {
    "adtool_category_id": "2",
    "name": "Galleries",
    "description": "Hosted Galleries",
    "orderid": "2",
    "deleted": "0",
    "protection": "2"
  },
  {
    "adtool_category_id": "3",
    "name": "Content",
    "description": "Content",
    "orderid": "3",
    "deleted": "0",
    "protection": "2"
  },
  {
    "adtool_category_id": "5",
    "name": "Interactives",
    "description": "Interactives",
    "orderid": "4",
    "deleted": "0",
    "protection": "2"
  },
  {
    "adtool_category_id": "6",
    "name": "Page Ads",
    "description": "Page Advertisements",
    "orderid": "7",
    "deleted": "0",
    "protection": "2"
  },
  {
    "adtool_category_id": "103",
    "name": "Rotating I-Frame",
    "description": "Rotating I-Frame",
    "orderid": "8",
    "deleted": "0",
    "protection": "1"
  },
  {
    "adtool_category_id": "1000",
    "name": "testCategory",
    "description": "test category addition",
    "orderid": "9",
    "deleted": "0",
    "protection": "0"
  }
]

Last updated

Was this helpful?